/* Program  main.cc (FastPicTeX) */
/* By Harald Stauss              */
/* Last change November 29, 1997 */

#include <iostream.h>
#include "fastpictex.h"

/* global variables */
#define VERSION "0.4"
FASTPICTEX fpt;

main(int argc, char *argv[]) {
  int        rc=0;

  /* hello world */
  cout << "FastPicTeX by Dr. med. Harald M. Stauss, Ver. " << VERSION << "\n";

  /* allocate memory */

  /* get command line parameters */
  if (argc!=3) {
    rc=1;
    cout << "number of parameters wrong! \n";
    cout << "usage: fastpictex fin fout \n";
    goto ende;
  }

  fpt.Read(argv[1]);
  
  fpt.Write(argv[2]);

ende:
  return(rc);
} /* Ende von main */
